Last Comment Bug 737535 - 10.0.3esr opens "whatsnew" page after update.
: 10.0.3esr opens "whatsnew" page after update.
Status: RESOLVED FIXED
[qa+:ashughes]
:
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: 10 Branch
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Martin Stránský
:
: Jared Wein [:jaws] (please needinfo? me)
Mentors:
https://www.mozilla.org/en-US/firefox...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 11:20 PDT by Martin Stránský
Modified: 2012-05-31 15:31 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
12+
verified


Attachments
patch (ESR only) (865 bytes, patch)
2012-03-27 02:07 PDT, Martin Stránský
gavin.sharp: review+
lukasblakk+bugs: approval‑mozilla‑esr10+
nthomas: checkin+
Details | Diff | Splinter Review

Description Martin Stránský 2012-03-20 11:20:40 PDT
+++ This bug was initially created as a clone of Bug #736001 +++

As far as the 10.0 ESR line stays the same (only security fixes are taken), there's no point to show the "whatsnew" page after update.
Comment 1 Martin Stránský 2012-03-27 02:07:35 PDT
Created attachment 609659 [details] [diff] [review]
patch (ESR only)

If the startup.homepage_override_url is empty the page is not shown after update.
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-03-27 11:53:38 PDT
Comment on attachment 609659 [details] [diff] [review]
patch (ESR only)

r=me (only for landing on the ESR branch, of course)
Comment 3 Martin Stránský 2012-03-29 02:45:00 PDT
Comment on attachment 609659 [details] [diff] [review]
patch (ESR only)

It's for 10ESR only.
Comment 4 Nick Thomas [:nthomas] 2012-03-29 03:07:10 PDT
Needs approval‑mozilla‑esr10+ first, please request it on the patch.
Comment 5 Nick Thomas [:nthomas] 2012-04-02 16:26:49 PDT
Comment on attachment 609659 [details] [diff] [review]
patch (ESR only)

http://hg.mozilla.org/releases/mozilla-esr10/rev/8fba363e0513
Comment 6 Nick Thomas [:nthomas] 2012-04-09 01:09:02 PDT
All done here ?
Comment 7 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-04-09 08:30:52 PDT
Yep, looks like it.
Comment 8 Paul Silaghi, QA [:pauly] 2012-04-17 06:24:13 PDT
(In reply to Martin Stránský from comment #1)
> Created attachment 609659 [details] [diff] [review]
> patch (ESR only)
> 
> If the startup.homepage_override_url is empty the page is not shown after
> update.

After updating FF 10.0.3 ESR build 1 to FF 10.0.4 ESR (FF 10.0.3 ESR build 2 doesn't update), "whatsnew" page is not displayed but startup.homepage_override_url is NOT empty. Is this correct? Tested on Win 7/64, Ubuntu 11.10/64, Mac OS X 10.6.8
Comment 9 Martin Stránský 2012-04-17 06:30:06 PDT
The change has been made for branded firefox only, maybe because of that?
Comment 10 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-04-17 06:31:09 PDT
(In reply to Martin Stránský from comment #9)
> The change has been made for branded firefox only, maybe because of that?

So I guess this is not something we can verify until we have official candidate builds for 10.0.4ESR?
Comment 11 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-04-17 11:47:28 PDT
Do the builds you're testing use official branding, or not?
Comment 12 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-04-17 11:58:02 PDT
No, the ESR 10.0.4pre builds are Nightly branded.
Comment 13 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-05-31 15:31:16 PDT
Verified fixed with 10.0.3esr -> 10.0.4esr updates on esr channel.

Note You need to log in before you can comment on or make changes to this bug.